package cn.ezhizao.project.business.upgrade.service;

import java.util.List;

import cn.ezhizao.project.business.workOrder.domain.BizWorkOrder;
import cn.ezhizao.project.system.domain.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.upgrade.domain.BizWorkOrderUpdate;

/**
 * 企业租户Service接口
 *
 * @author ruoyi
 * @date 2024-10-14
 */
public interface IBizWorkOrderUpdateService extends IService<BizWorkOrderUpdate>
{
    /**
     * 查询企业租户列表
     *
     * @param bizWorkOrderUpdate 企业租户
     * @return 企业租户集合
     */
    public List<BizWorkOrderUpdate> getList(BizWorkOrderUpdate bizWorkOrderUpdate);

    /**
     * 物理删除
     * @param ids
     * @return 删除结果
     */
    public int physicalDelete(List<Long> ids);
    List<BizWorkOrderUpdate> getList2(BizWorkOrderUpdate bizWorkOrder);

    List<BizWorkOrderUpdate> gettoUpLoadList(BizWorkOrderUpdate bizWorkOrder);

    void workerUpgrade(List<BizWorkOrder> bizWorkOrder, Long tenantId);
    Long getToUpLoadCount(BizWorkOrderUpdate bizWorkOrder);
    List<BizWorkOrder> getNewOrder();
    List<BizWorkOrder> getStopTaskOrder();
}
